﻿using esoft.Class;
using esoft.Entities;
using System;
using System.CodeDom.Compiler;
using System.Collections.Generic;
using System.Linq;
using System.Net.NetworkInformation;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace esoft.Pages
{
    /// <summary>
    /// Логика взаимодействия для ServicesPage.xaml
    /// </summary>
    public partial class ServicesPage : Page
    {

        ActualContext actualContext = new ActualContext(); //контекст различных таблиц
        TaskFill tasks = new TaskFill(); //полученный контекст формы

        public ServicesPage()
        {
            InitializeComponent();
            DGridTask.ItemsSource = Class.TaskFill.TaskFills();

            FillForm();
        }

        private void FillForm()
        {
            ComboStatus.ItemsSource = StatusTask.FillStatus();
            switch (tasks.Status)
            {
                case "запланирована":
                    ComboStatus.SelectedIndex = 0;
                    break;
                case "исполняется":
                    ComboStatus.SelectedIndex = 1;
                    break;
                case "выполнена":
                    ComboStatus.SelectedIndex = 2;
                    break;
                case "отменена":
                    ComboStatus.SelectedIndex = 3;
                    break;
            }

            List<User> usersExecutor = actualContext.Users;
            for (int i = 0; i < usersExecutor.Count; i++)
            {
                foreach (var ex in actualContext.Executor)
                {
                    if (usersExecutor[i].ID != ex.ID)
                    {
                        usersExecutor.Remove(usersExecutor[i]);
                        break;
                    }
                }
            }
            ComboExecutor.ItemsSource = UserInFIO.GroupUser(usersExecutor);




            List<User> usersManager = actualContext.Users;
            for (int i = 0; i < usersManager.Count; i++)
            {
                foreach (var ex in actualContext.Manager)
                {
                    if (usersManager[i].ID != ex.ID)
                    {
                        usersManager.Remove(usersManager[i]);
                        break;
                    }
                }
            }
            ComboManager.ItemsSource = UserInFIO.GroupUser(usersManager);
        }

        private void BtnEdit_Click(object sender, RoutedEventArgs e)
        {

        }

        private void BtnAddTask_Click(object sender, RoutedEventArgs e)
        {
            NavigationService.Navigate(new AddEditServicePage());
        }

        private void BtnDeleteTask_Click(object sender, RoutedEventArgs e)
        {

        }
    }
}
